Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Get connection-tokens

Prev Next
Get
/inventory/thingConnectionTokens

Retrieves the connection-tokens, or the details of a single one when the token parameter is provided.
A connection-token authorizes a device or a gateway to establish the connection with the cloud and publish data without using the credentials of a user.

Required permissions: READ_THING_CONNECTION_TOKENS.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Query parameters
token
string

The connection-token whose details must be retrieved. If omitted, all connection-tokens are retrieved.

Minimum1.0
Responses
200

Successful operation.

Array of object
object
id
string
token
string
description
string
timestamp
integer (int64)
username
string
password
string
type
string
Valid values[ "SEMIOTY_THING_CONNECTOR", "EDC", "LEMONBEAT", "AZURE_SERVICE_BUS", "ALLEANTIA" ]
payloadFormat
string
Valid values[ "JSON" ]
assetId
string
path
string
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error